unit Ws.Service;

interface

uses
  XData.Service.Common,
  System.JSON;

const
  WS_MODEL = 'WsApi';

type
  [ServiceContract, Model(WS_MODEL)]
  IWebSocketService = interface(IInvokable)
    ['{673FE678-D9EF-468D-89CB-CEF26E8758BC}']
    [HttpGet] function Ping: TJSONObject;
    [HttpGet] function WebSockerConnectionHandler: TJSONObject;
  end;

implementation

end.
